/ comp / gb / object[] / sort
Object[].Sort (gb)
Syntax

    FUNCTION Sort ( [ Mode AS Integer ] ) AS Object[]

Sorts the array.

Mode can have the following value:

gb.Ascent | Ascent sort. This is the default value.
gb.Descent | Descent sort.

Objects are compared by calling the special `_sort` method.

This method is called on one object, and takes one argument, the reference of the other object it must be compared with.

It must return the result of the comparison as an integer number:

- `0` if the objects are equal.
- `1` if the object is greater than the one passed as argument.
- `-1` if the object is lower than the one passed as argument.

If the objects don't implement the special `_sort` method, then they are compared by using their address in memory.